Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.log
Class Log

    java.lang.Object
      mx4j.log.Log

public class Log
extends java.lang.Object

Main class for the log service.

The system property 'mx4j.log.priority' controls the priority of the standard logging, and defaults to 'warn'. Possible values are, from least to greatest priority, the following (case insensitive):

- trace
- debug
- info
- warn
- error
- fatal

Version:
  $Revision: 1.7 $

Method Summary
`static int` | `getDefaultPriority()` Returns the default priority.
`static Logger` | `getLogger(java.lang.String category)` Returns a new instance of a Logger associated with the given `category`; if `redirectTo(mx4j.log.Logger)` has been called then a new instance of the prototype Logger, associated with the given `category`, is returned.``
`static void` | `redirectTo(Logger prototype)` Tells to the log service to use the given `delegate` Logger to perform logging.
`static void` | `redirectTo(Logger prototype, java.lang.String category)` Tells to the log service to use the given `delegate` Logger to perform logging for the given category (that cannot be null).
`static void` | `setDefaultPriority(int priority)` Sets the default priority for all loggers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setDefaultPriority

    public static void setDefaultPriority(int priority)

  Sets the default priority for all loggers.

  See Also:
    `setDefaultPriority(int)`

### getDefaultPriority

    public static int getDefaultPriority()

  Returns the default priority.

  See Also:
    `setDefaultPriority(int)`

### getLogger

    public static Logger getLogger(java.lang.String category)

  Returns a new instance of a Logger associated with the given `category`; if `redirectTo(mx4j.log.Logger)` has been called then a new instance of the prototype Logger, associated with the given `category`, is returned. This requires the prototype Logger class to have a public parameterless constructor.

  ``

### redirectTo

    public static void redirectTo(Logger prototype)

  Tells to the log service to use the given `delegate` Logger to perform logging.
  Use a null delegate to remove redirection.

  See Also:
    `getLogger(java.lang.String)`

### redirectTo

    public static void redirectTo(Logger prototype,
                                  java.lang.String category)

  Tells to the log service to use the given `delegate` Logger to perform logging for the given category (that cannot be null).
  Settings made using this method overrides the ones made with `redirectTo`, meaning that it is possible to redirect all the log to a certain delegate but certain categories. Use a null delegate to remove redirection for the specified category.

  See Also:
    `getLogger(java.lang.String)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.